Notiblast
HomeApp
HomeApp
  1. Messages
  • API Key & Izin
  • Email
    • 1. Alur Email
    • 2. Domain & DNS
    • 3. Kirim Email
    • 4. Status Email
    • Messages
      • List Messages
      • Export Messages (CSV)
      • Detail Message
    • Send Email
      POST
  • Whatsapp
    • 1. Alur WhatsApp
    • 2. Hubungkan Nomor
    • 3. Setelah Nomor Terhubung
    • 4. Template Pesan
    • 5. Syarat Template Authentication
    • 6. Verifikasi Bisnis Meta
    • 7. Kirim & Status Pesan
    • Messages
      • List Messages
      • Detail Message
      • Export Messages (CSV)
    • Send WhatsApp
      POST
  • Reports
    • Overview (Dasbor)
    • Email Monitoring
    • WhatsApp Monitoring
    • Push Notification Monitoring
    • Deliverability Summary
  • Push
    • 1. Alur Push Notification
    • 2. Aplikasi Push & Firebase
    • 3. Pasang SDK
    • 4. List Penerima
    • 5. Kirim & Hasil Push
    • Devices
      • Register Device
      • Release Device
    • Messages
      • List Push Messages
        GET
      • Get Push Message
        GET
    • Lists
      • List Push Lists
      • List Push List Members
      • Add Push List Members
      • Remove Push List Members
    • Send Push Notification
      POST
  • Api Logs
    • List API Logs
    • Detail API Log
  • Webhooks
    • Webhook Events (Notiblast โ†’ Endpoint Anda)
  1. Messages

List Push Messages

Developing
GET
https://primaryapi.notiblast.com/v1/push/messages
Riwayat Pesan Push, terbaru dulu, cursor pagination. Isi pesan (body, payload) tidak ikut di respons dan tidak bisa dicari โ€” q hanya mencocokkan title dan target_label.
Ingat saat membaca stats: untuk target_type: "topic" kelima angkanya selalu 0 karena pengiriman topik tidak menyentuh daftar perangkat. "topic" + status: "sent" berarti Firebase menerima permintaannya.
Auth: API key full_access atau sesi dasbor (X-Company). Key sending_access ditolak 403 "This API key is not authorized to read logs" -- mengirim dan membaca log adalah dua hak berbeda.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Responses

๐ŸŸข200Success
application/json
Bodyapplication/json

๐ŸŸ 403Akses ditolak
๐ŸŸ 401Tidak terautentikasi
๐ŸŸ 400Query tidak valid
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://primaryapi.notiblast.com/v1/push/messages?limit=20&order=desc' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "request_id": "0f9c2a41-8d3e-4c77-9a2b-5f1e6d0c8a73",
    "message": "Push messages retrieved",
    "data": [
        {
            "_id": "507f1f77bcf86cd799439077",
            "push_app": "507f1f77bcf86cd799439011",
            "push_app_name": "Toko Maju รขโ‚ฌโ€ Pelanggan",
            "title": "Pesanan #10293 sudah dikirim",
            "platforms": [
                "android",
                "ios"
            ],
            "delivery_mode": "notification",
            "target_type": "external_id",
            "target_label": "Semua perangkat",
            "status": "queued",
            "stats": {
                "devices_targeted": 4102,
                "devices_sent": 4037,
                "devices_failed": 65,
                "devices_skipped": 214,
                "devices_over_limit": 0,
                "external_ids_unmatched": 116
            },
            "max_subscribers": 10000,
            "error": null,
            "sent_at": "2026-09-16T04:00:02.100Z",
            "finished_at": "2026-09-16T04:01:31.900Z",
            "created_at": "2026-09-16T04:00:01.000Z"
        }
    ],
    "metadata": {
        "next_cursor": "string",
        "prev_cursor": "string"
    }
}
Modified atย 2026-10-21 07:54:50
Previous
Release Device
Next
Get Push Message
Built with